Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Compiling Krusader SVN
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mattes
Apprentice
Apprentice


Joined: 23 Jul 2008
Posts: 255
Location: München, Bavaria, Germany

PostPosted: Wed Feb 04, 2009 4:28 pm    Post subject: Compiling Krusader SVN Reply with quote

Hello,

since today I can't compile krusader from svn. I've did it some times already, but now it fails. After searching the net I can say, that other gentoo users have the same Problem, but I can't find a solution. I think it doesnt work since I upgraded from kde-4.1 to 4.2.
I use cmake-2.6.2-r1 (it fails also with 2.6.2).
and kde-base/kdelibs-4.2.0-r1 (/usr/kde/4.2/share/apps/cmake/modules/FindKDE4Internal.cmake)

cmake:
Code:

CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:81 (FIND_PACKAGE):
  Could not find module FindKDE4Internal.cmake or a configuration file for
  package KDE4Internal.

  Adjust CMAKE_MODULE_PATH to find FindKDE4Internal.cmake or set
  KDE4Internal_DIR to the directory containing a CMake configuration file for
  KDE4Internal.  The file will have one of the following names:

    KDE4InternalConfig.cmake
    kde4internal-config.cmake

Call Stack (most recent call first):
  CMakeLists.txt:2 (find_package)


CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:81 (FIND_PACKAGE):
  Could not find module FindKDE4Internal.cmake or a configuration file for
  package KDE4Internal.

  Adjust CMAKE_MODULE_PATH to find FindKDE4Internal.cmake or set
  KDE4Internal_DIR to the directory containing a CMake configuration file for
  KDE4Internal.  The file will have one of the following names:

    KDE4InternalConfig.cmake
    kde4internal-config.cmake

Call Stack (most recent call first):
  krusader/ActionMan/CMakeLists.txt:13 (find_package)


CMake Error at krusader/ActionMan/CMakeLists.txt:14 (kde4_add_ui_files):
  Unknown CMake command "kde4_add_ui_files".


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!


FindKDE4Internal.cmake is in place.

does anybody know what to do?

Regards mattes
Back to top
View user's profile Send private message
dek
l33t
l33t


Joined: 16 May 2002
Posts: 657
Location: Germany

PostPosted: Fri Feb 06, 2009 9:31 pm    Post subject: Reply with quote

Can't explain why, but somehow removing the checkout directory and doing a complety fresh one solved the problem for me. Have you tried that?
Back to top
View user's profile Send private message
mattes
Apprentice
Apprentice


Joined: 23 Jul 2008
Posts: 255
Location: München, Bavaria, Germany

PostPosted: Wed Feb 11, 2009 4:59 pm    Post subject: Reply with quote

Hi,

solved it for me too. Is this a Problem regarding KDE4.2, cmake, svn or krusader?

Regrads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum